# Client session related functions
[Client supporting subsystem]

## Functions
svn_error_t * | svn_client_url_from_path2 (const char **url, const char *path_or_url, svn_client_ctx_t *ctx, apr_pool_t *result_pool, apr_pool_t *scratch_pool)
| Set *url to the URL for path_or_url allocated in result_pool.
svn_error_t * | svn_client_url_from_path (const char **url, const char *path_or_url, apr_pool_t *pool)
| Similar to svn_client_url_from_path2(), but without a context argument.
svn_error_t * | svn_client_root_url_from_path (const char **url, const char *path_or_url, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Set *url to the repository root URL of the repository in which path_or_url is versioned (or scheduled to be versioned), allocated in pool.
svn_error_t * | svn_client_uuid_from_url (const char **uuid, const char *url, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Get repository uuid for url.
svn_error_t * | svn_client_uuid_from_path2 (const char **uuid, const char *local_abspath, svn_client_ctx_t *ctx, apr_pool_t *result_pool, apr_pool_t *scratch_pool)
| Return the repository uuid for working-copy local_abspath, allocated in result_pool.
svn_error_t * | svn_client_uuid_from_path (const char **uuid, const char *path, svn_wc_adm_access_t *adm_access, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Similar to svn_client_uuid_from_path2(), but with a relative path and an access baton.
svn_error_t * | svn_client_open_ra_session (svn_ra_session_t **session, const char *url, svn_client_ctx_t *ctx, apr_pool_t *pool)
| Open an RA session rooted at url, and return it in *session.

## Function Documentation

svn_error_t* svn_client_open_ra_session | ( | svn_ra_session_t ** | session,
|  | const char * | url,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Open an RA session rooted at url, and return it in *session.

Use the authentication baton stored in ctx for authentication. *session is allocated in pool.

Since:
  New in 1.3.

Note:
  This function is similar to svn_ra_open3(), but the caller avoids having to providing its own callback functions.

svn_error_t* svn_client_root_url_from_path | ( | const char ** | url,
|  | const char * | path_or_url,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Set *url to the repository root URL of the repository in which path_or_url is versioned (or scheduled to be versioned), allocated in pool.

ctx is required for possible repository authentication.

Since:
  New in 1.5.

svn_error_t* svn_client_url_from_path | ( | const char ** | url,
|  | const char * | path_or_url,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_url_from_path2(), but without a context argument.

Since:
  New in 1.5.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

svn_error_t* svn_client_url_from_path2 | ( | const char ** | url,
|  | const char * | path_or_url,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | result_pool,
|  | apr_pool_t * | scratch_pool |
| ) |  |  |

Set *url to the URL for path_or_url allocated in result_pool.

If path_or_url is already a URL, set *url to path_or_url.

If path_or_url is a versioned item, set *url to path_or_url's entry URL. If path_or_url is unversioned (has no entry), set *url to NULL.

Use ctx->wc_ctx to retrieve the information. Use scratch_pool for temporary allocations.

Since:
  New in 1.7.

svn_error_t* svn_client_uuid_from_path | ( | const char ** | uuid,
|  | const char * | path,
|  | svn_wc_adm_access_t * | adm_access,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Similar to svn_client_uuid_from_path2(), but with a relative path and an access baton.

Deprecated:
  Provided for backward compatibility with the 1.6 API.

svn_error_t* svn_client_uuid_from_path2 | ( | const char ** | uuid,
|  | const char * | local_abspath,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | result_pool,
|  | apr_pool_t * | scratch_pool |
| ) |  |  |

Return the repository uuid for working-copy local_abspath, allocated in result_pool.

Use ctx->wc_ctx to retrieve the information.

Use scratch_pool for temporary allocations.

Since:
  New in 1.7.

svn_error_t* svn_client_uuid_from_url | ( | const char ** | uuid,
|  | const char * | url,
|  | svn_client_ctx_t * | ctx,
|  | apr_pool_t * | pool |
| ) |  |  |

Get repository uuid for url.

Use a pool to open a temporary RA session to url, discover the repository uuid, and free the session. Return the uuid in uuid, allocated in pool. ctx is required for possible repository authentication.

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines